diff --git c/scala/collection/parallel/ParSeqLike$Zip.class w/scala/collection/parallel/ParSeqLike$Zip.class
index f87cfa786f..394653147c 100644
--- c/scala/collection/parallel/ParSeqLike$Zip.class
+++ w/scala/collection/parallel/ParSeqLike$Zip.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$Zip extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$Zip extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer{
 private final int len;
   Signature: I
 
diff --git c/scala/collection/parallel/ParSeqLike.class w/scala/collection/parallel/ParSeqLike.class
index 6f7f370b2a..3d67019653 100644
--- c/scala/collection/parallel/ParSeqLike.class
+++ w/scala/collection/parallel/ParSeqLike.class
@@ -16,7 +16,7 @@ public abstract #= # of #; //SignalContextPassingIterator=class scala/collection
 public abstract #= # of #; //SignalContextPassingIterator$class=class scala/collection/parallel/ParSeqLike$SignalContextPassingIterator$class of class scala/collection/parallel/ParSeqLike
 
 Compiled from "ParSeqLike.scala"
-public interface scala.collection.parallel.ParSeqLike extends scala.collection.GenSeqLike,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqLike extends scala.collection.GenSeqLike,scala.collection.parallel.ParIterableLike{
 public abstract java.lang.Object scala$collection$parallel$ParSeqLike$$super$zip(scala.collection.GenIterable, scala.collection.generic.CanBuildFrom);
   Signature: (Lscala/collection/GenIterable;Lscala/collection/generic/CanBuildFrom;)Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/ParSeqView$NoCombiner.class w/scala/collection/parallel/ParSeqView$NoCombiner.class
index b1c3e84b80..05e7842588 100644
--- c/scala/collection/parallel/ParSeqView$NoCombiner.class
+++ w/scala/collection/parallel/ParSeqView$NoCombiner.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //NoCombiner=class scala/collection/parallel/ParSeqView$NoCombiner of class scala/collection/parallel/ParSeqView
 
 Compiled from "ParSeqView.scala"
-public abstract class scala.collection.parallel.ParSeqView$NoCombiner extends java.lang.Object implements scala.collection.parallel.Combiner,scala.ScalaObject{
+public abstract class scala.collection.parallel.ParSeqView$NoCombiner extends java.lang.Object implements scala.collection.parallel.Combiner{
 private final scala.collection.parallel.TaskSupport tasksupport;
   Signature: Lscala/collection/parallel/TaskSupport;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Appended.class w/scala/collection/parallel/ParSeqViewLike$Appended.class
index da9b5b8a4c..350de89f9a 100644
--- c/scala/collection/parallel/ParSeqViewLike$Appended.class
+++ w/scala/collection/parallel/ParSeqViewLike$Appended.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqV
 public abstract #= # of #; //Appended=class scala/collection/parallel/ParIterableViewLike$Appended of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Appended extends scala.collection.GenSeqViewLike$Appended,scala.collection.parallel.ParIterableViewLike$Appended,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Appended extends scala.collection.GenSeqViewLike$Appended,scala.collection.parallel.ParIterableViewLike$Appended,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.ParSeq restPar();
   Signature: ()Lscala/collection/parallel/ParSeq;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Force.class w/scala/collection/parallel/ParSeqViewLike$Force.class
index 45d59bfc2d..d3031a8570 100644
--- c/scala/collection/parallel/ParSeqViewLike$Force.class
+++ w/scala/collection/parallel/ParSeqViewLike$Force.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqViewLike.scala"
-public class scala.collection.parallel.ParSeqViewLike$Force extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqViewLike$Force extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer{
 private final scala.collection.generic.CanCombineFrom cbf;
   Signature: Lscala/collection/generic/CanCombineFrom;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Forced.class w/scala/collection/parallel/ParSeqViewLike$Forced.class
index e3e44ef135..5d8e9c2389 100644
--- c/scala/collection/parallel/ParSeqViewLike$Forced.class
+++ w/scala/collection/parallel/ParSeqViewLike$Forced.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //Forced=class scala/collection/parallel/ParIterableV
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Forced extends scala.collection.GenSeqViewLike$Forced,scala.collection.parallel.ParIterableViewLike$Forced,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Forced extends scala.collection.GenSeqViewLike$Forced,scala.collection.parallel.ParIterableViewLike$Forced,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.ParSeq forcedPar();
   Signature: ()Lscala/collection/parallel/ParSeq;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Mapped.class w/scala/collection/parallel/ParSeqViewLike$Mapped.class
index fde69c100c..7dfc11d219 100644
--- c/scala/collection/parallel/ParSeqViewLike$Mapped.class
+++ w/scala/collection/parallel/ParSeqViewLike$Mapped.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //Mapped=class scala/collection/parallel/ParIterableV
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Mapped extends scala.collection.GenSeqViewLike$Mapped,scala.collection.parallel.ParIterableViewLike$Mapped,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Mapped extends scala.collection.GenSeqViewLike$Mapped,scala.collection.parallel.ParIterableViewLike$Mapped,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.SeqSplitter$Mapped splitter();
   Signature: ()Lscala/collection/parallel/SeqSplitter$Mapped;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Patched.class w/scala/collection/parallel/ParSeqViewLike$Patched.class
index 11c9b829fd..7cd83d4f63 100644
--- c/scala/collection/parallel/ParSeqViewLike$Patched.class
+++ w/scala/collection/parallel/ParSeqViewLike$Patched.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Patched=class scala/collection/GenSeqViewLike$Patch
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Patched extends scala.collection.GenSeqViewLike$Patched,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Patched extends scala.collection.GenSeqViewLike$Patched,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.ParSeq patchPar();
   Signature: ()Lscala/collection/parallel/ParSeq;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Prepended.class w/scala/collection/parallel/ParSeqViewLike$Prepended.class
index 5ee2878596..7c7f19fe1c 100644
--- c/scala/collection/parallel/ParSeqViewLike$Prepended.class
+++ w/scala/collection/parallel/ParSeqViewLike$Prepended.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Prepended=class scala/collection/GenSeqViewLike$Pre
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Prepended extends scala.collection.GenSeqViewLike$Prepended,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Prepended extends scala.collection.GenSeqViewLike$Prepended,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.ParSeqViewLike scala$collection$parallel$ParSeqViewLike$Prepended$$$outer();
   Signature: ()Lscala/collection/parallel/ParSeqViewLike;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Reversed.class w/scala/collection/parallel/ParSeqViewLike$Reversed.class
index 61b90a14ac..7f8a5f4677 100644
--- c/scala/collection/parallel/ParSeqViewLike$Reversed.class
+++ w/scala/collection/parallel/ParSeqViewLike$Reversed.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Reversed=class scala/collection/GenSeqViewLike$Reve
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Reversed extends scala.collection.GenSeqViewLike$Reversed,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Reversed extends scala.collection.GenSeqViewLike$Reversed,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.SeqSplitter splitter();
   Signature: ()Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Sliced.class w/scala/collection/parallel/ParSeqViewLike$Sliced.class
index ab8a0a8efb..9dd9bee4f8 100644
--- c/scala/collection/parallel/ParSeqViewLike$Sliced.class
+++ w/scala/collection/parallel/ParSeqViewLike$Sliced.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //Sliced=class scala/collection/parallel/ParIterableV
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Sliced extends scala.collection.GenSeqViewLike$Sliced,scala.collection.parallel.ParIterableViewLike$Sliced,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Sliced extends scala.collection.GenSeqViewLike$Sliced,scala.collection.parallel.ParIterableViewLike$Sliced,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.SeqSplitter splitter();
   Signature: ()Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Transformed.class w/scala/collection/parallel/ParSeqViewLike$Transformed.class
index 0a6e0caf67..679bfd8326 100644
--- c/scala/collection/parallel/ParSeqViewLike$Transformed.class
+++ w/scala/collection/parallel/ParSeqViewLike$Transformed.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Transformed extends scala.collection.parallel.ParSeqView,scala.collection.parallel.ParIterableViewLike$Transformed,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Transformed extends scala.collection.parallel.ParSeqView,scala.collection.parallel.ParIterableViewLike$Transformed,scala.collection.GenSeqViewLike$Transformed{
 public abstract scala.collection.parallel.SeqSplitter splitter();
   Signature: ()Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$Zipped.class w/scala/collection/parallel/ParSeqViewLike$Zipped.class
index 588cfb979b..7b1405fe02 100644
--- c/scala/collection/parallel/ParSeqViewLike$Zipped.class
+++ w/scala/collection/parallel/ParSeqViewLike$Zipped.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //Zipped=class scala/collection/parallel/ParIterableV
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqViewLike$Transformed of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$Zipped extends scala.collection.GenSeqViewLike$Zipped,scala.collection.parallel.ParIterableViewLike$Zipped,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$Zipped extends scala.collection.GenSeqViewLike$Zipped,scala.collection.parallel.ParIterableViewLike$Zipped,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.SeqSplitter$Zipped splitter();
   Signature: ()Lscala/collection/parallel/SeqSplitter$Zipped;
 
diff --git c/scala/collection/parallel/ParSeqViewLike$ZippedAll.class w/scala/collection/parallel/ParSeqViewLike$ZippedAll.class
index e3388ffa8c..b213e97bb0 100644
--- c/scala/collection/parallel/ParSeqViewLike$ZippedAll.class
+++ w/scala/collection/parallel/ParSeqViewLike$ZippedAll.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //Transformed=class scala/collection/parallel/ParSeqV
 public abstract #= # of #; //ZippedAll=class scala/collection/parallel/ParIterableViewLike$ZippedAll of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike$ZippedAll extends scala.collection.GenSeqViewLike$ZippedAll,scala.collection.parallel.ParIterableViewLike$ZippedAll,scala.collection.parallel.ParSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike$ZippedAll extends scala.collection.GenSeqViewLike$ZippedAll,scala.collection.parallel.ParIterableViewLike$ZippedAll,scala.collection.parallel.ParSeqViewLike$Transformed{
 public abstract scala.collection.parallel.SeqSplitter splitter();
   Signature: ()Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/ParSeqViewLike.class w/scala/collection/parallel/ParSeqViewLike.class
index a0e39400c9..3e2cb65184 100644
--- c/scala/collection/parallel/ParSeqViewLike.class
+++ w/scala/collection/parallel/ParSeqViewLike.class
@@ -22,7 +22,7 @@ public abstract #= # of #; //Prepended$class=class scala/collection/parallel/Par
 public abstract #= # of #; //Transformed$class=class scala/collection/parallel/ParSeqViewLike$Transformed$class of class scala/collection/parallel/ParSeqViewLike
 
 Compiled from "ParSeqViewLike.scala"
-public interface scala.collection.parallel.ParSeqViewLike extends scala.collection.GenSeqView,scala.collection.GenSeqViewLike,scala.collection.parallel.ParIterableView,scala.collection.parallel.ParIterableViewLike,scala.collection.parallel.ParSeq,scala.collection.parallel.ParSeqLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqViewLike extends scala.collection.GenSeqView,scala.collection.parallel.ParIterableView,scala.collection.parallel.ParSeq{
 public abstract scala.collection.parallel.ParSeqViewLike$Transformed newPrepended(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/collection/parallel/ParSeqViewLike$Transformed;
 
diff --git c/scala/collection/parallel/ParSet.class w/scala/collection/parallel/ParSet.class
index 7d39133856..768265ef1a 100644
--- c/scala/collection/parallel/ParSet.class
+++ w/scala/collection/parallel/ParSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSet.scala"
-public interface scala.collection.parallel.ParSet extends scala.collection.GenSet,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParIterable,scala.collection.parallel.ParSetLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParSet extends scala.collection.GenSet,scala.collection.parallel.ParIterable,scala.collection.parallel.ParSetLike{
 public abstract scala.collection.parallel.ParSet empty();
   Signature: ()Lscala/collection/parallel/ParSet;
 
diff --git c/scala/collection/parallel/ParSetLike.class w/scala/collection/parallel/ParSetLike.class
index d3b6d81ecd..76d426dfe0 100644
--- c/scala/collection/parallel/ParSetLike.class
+++ w/scala/collection/parallel/ParSetLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ParSetLike.scala"
-public interface scala.collection.parallel.ParSetLike extends scala.collection.GenSetLike,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParSetLike extends scala.collection.GenSetLike,scala.collection.parallel.ParIterableLike{
 public abstract scala.collection.parallel.ParSet empty();
   Signature: ()Lscala/collection/parallel/ParSet;
 
diff --git c/scala/collection/parallel/SeqSplitter$Appended.class w/scala/collection/parallel/SeqSplitter$Appended.class
index 653ed7d61f..a63a486dea 100644
--- c/scala/collection/parallel/SeqSplitter$Appended.class
+++ w/scala/collection/parallel/SeqSplitter$Appended.class
@@ -12,7 +12,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.SeqSplitter$Appended extends scala.collection.parallel.IterableSplitter$Appended implements scala.collection.parallel.SeqSplitter,scala.ScalaObject{
+public class scala.collection.parallel.SeqSplitter$Appended extends scala.collection.parallel.IterableSplitter$Appended implements scala.collection.parallel.SeqSplitter{
 public final scala.collection.parallel.SeqSplitter $outer;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/SeqSplitter$Mapped.class w/scala/collection/parallel/SeqSplitter$Mapped.class
index e72b837e35..7b239da772 100644
--- c/scala/collection/parallel/SeqSplitter$Mapped.class
+++ w/scala/collection/parallel/SeqSplitter$Mapped.class
@@ -11,7 +11,7 @@ public #= # of #; //Zipped=class scala/collection/parallel/IterableSplitter$Zipp
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.SeqSplitter$Mapped extends scala.collection.parallel.IterableSplitter$Mapped implements scala.collection.parallel.SeqSplitter,scala.ScalaObject{
+public class scala.collection.parallel.SeqSplitter$Mapped extends scala.collection.parallel.IterableSplitter$Mapped implements scala.collection.parallel.SeqSplitter{
 public final scala.Function1 scala$collection$parallel$SeqSplitter$Mapped$$f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/SeqSplitter$Patched.class w/scala/collection/parallel/SeqSplitter$Patched.class
index 707a4c8987..e86ff67ebe 100644
--- c/scala/collection/parallel/SeqSplitter$Patched.class
+++ w/scala/collection/parallel/SeqSplitter$Patched.class
@@ -14,7 +14,7 @@ public #= # of #; //Appended=class scala/collection/parallel/IterableSplitter$Ap
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.SeqSplitter$Patched extends java.lang.Object implements scala.collection.parallel.SeqSplitter,scala.ScalaObject{
+public class scala.collection.parallel.SeqSplitter$Patched extends java.lang.Object implements scala.collection.parallel.SeqSplitter{
 private final int from;
   Signature: I
 
diff --git c/scala/collection/parallel/SeqSplitter$Taken.class w/scala/collection/parallel/SeqSplitter$Taken.class
index 2ad6030445..bd3ea9cf07 100644
--- c/scala/collection/parallel/SeqSplitter$Taken.class
+++ w/scala/collection/parallel/SeqSplitter$Taken.class
@@ -11,7 +11,7 @@ public #= # of #; //Mapped=class scala/collection/parallel/IterableSplitter$Mapp
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.SeqSplitter$Taken extends scala.collection.parallel.IterableSplitter$Taken implements scala.collection.parallel.SeqSplitter,scala.ScalaObject{
+public class scala.collection.parallel.SeqSplitter$Taken extends scala.collection.parallel.IterableSplitter$Taken implements scala.collection.parallel.SeqSplitter{
 public final scala.collection.parallel.SeqSplitter $outer;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/SeqSplitter$Zipped.class w/scala/collection/parallel/SeqSplitter$Zipped.class
index aaa25a9131..022655f08c 100644
--- c/scala/collection/parallel/SeqSplitter$Zipped.class
+++ w/scala/collection/parallel/SeqSplitter$Zipped.class
@@ -11,7 +11,7 @@ public #= # of #; //Mapped=class scala/collection/parallel/IterableSplitter$Mapp
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.SeqSplitter$Zipped extends scala.collection.parallel.IterableSplitter$Zipped implements scala.collection.parallel.SeqSplitter,scala.ScalaObject{
+public class scala.collection.parallel.SeqSplitter$Zipped extends scala.collection.parallel.IterableSplitter$Zipped implements scala.collection.parallel.SeqSplitter{
 public final scala.collection.parallel.SeqSplitter $outer;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/SeqSplitter$ZippedAll.class w/scala/collection/parallel/SeqSplitter$ZippedAll.class
index df2f3a300c..8dbd89c016 100644
--- c/scala/collection/parallel/SeqSplitter$ZippedAll.class
+++ w/scala/collection/parallel/SeqSplitter$ZippedAll.class
@@ -12,7 +12,7 @@ public #= # of #; //Mapped=class scala/collection/parallel/IterableSplitter$Mapp
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "RemainsIterator.scala"
-public class scala.collection.parallel.SeqSplitter$ZippedAll extends scala.collection.parallel.IterableSplitter$ZippedAll implements scala.collection.parallel.SeqSplitter,scala.ScalaObject{
+public class scala.collection.parallel.SeqSplitter$ZippedAll extends scala.collection.parallel.IterableSplitter$ZippedAll implements scala.collection.parallel.SeqSplitter{
 public final scala.collection.parallel.SeqSplitter $outer;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/SeqSplitter.class w/scala/collection/parallel/SeqSplitter.class
index 3dd023e3e5..3a3f343f5e 100644
--- c/scala/collection/parallel/SeqSplitter.class
+++ w/scala/collection/parallel/SeqSplitter.class
@@ -7,7 +7,7 @@ public #= # of #; //Appended=class scala/collection/parallel/SeqSplitter$Appende
 public #= # of #; //ZippedAll=class scala/collection/parallel/SeqSplitter$ZippedAll of class scala/collection/parallel/SeqSplitter
 
 Compiled from "RemainsIterator.scala"
-public interface scala.collection.parallel.SeqSplitter extends scala.collection.parallel.IterableSplitter,scala.collection.parallel.AugmentedSeqIterator,scala.collection.parallel.PreciseSplitter,scala.ScalaObject{
+public interface scala.collection.parallel.SeqSplitter extends scala.collection.parallel.IterableSplitter,scala.collection.parallel.AugmentedSeqIterator,scala.collection.parallel.PreciseSplitter{
 public abstract scala.collection.parallel.SeqSplitter dup();
   Signature: ()Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/ThreadPoolTaskSupport.class w/scala/collection/parallel/ThreadPoolTaskSupport.class
index aa46347f10..e149aa932e 100644
--- c/scala/collection/parallel/ThreadPoolTaskSupport.class
+++ w/scala/collection/parallel/ThreadPoolTaskSupport.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWo
 public #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingThreadPoolTasks
 
 Compiled from "TaskSupport.scala"
-public class scala.collection.parallel.ThreadPoolTaskSupport extends java.lang.Object implements scala.collection.parallel.TaskSupport,scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks,scala.ScalaObject{
+public class scala.collection.parallel.ThreadPoolTaskSupport extends java.lang.Object implements scala.collection.parallel.TaskSupport,scala.collection.parallel.AdaptiveWorkStealingThreadPoolTasks{
 private java.lang.Object environment;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/ThreadPoolTasks$TaskImpl.class w/scala/collection/parallel/ThreadPoolTasks$TaskImpl.class
index 9e24374520..6f28949a00 100644
--- c/scala/collection/parallel/ThreadPoolTasks$TaskImpl.class
+++ w/scala/collection/parallel/ThreadPoolTasks$TaskImpl.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/Tasks$Task
 public abstract #= # of #; //TaskImpl=class scala/collection/parallel/ThreadPoolTasks$TaskImpl of class scala/collection/parallel/ThreadPoolTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.ThreadPoolTasks$TaskImpl extends java.lang.Runnable,scala.collection.parallel.Tasks$TaskImpl,scala.ScalaObject{
+public interface scala.collection.parallel.ThreadPoolTasks$TaskImpl extends java.lang.Runnable,scala.collection.parallel.Tasks$TaskImpl{
 public abstract boolean owned();
   Signature: ()Z
 
diff --git c/scala/collection/parallel/ThreadPoolTasks.class w/scala/collection/parallel/ThreadPoolTasks.class
index ba4a20924e..748c767bcf 100644
--- c/scala/collection/parallel/ThreadPoolTasks.class
+++ w/scala/collection/parallel/ThreadPoolTasks.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TaskImpl=class scala/collection/parallel/ThreadPool
 public abstract #= # of #; //TaskImpl$class=class scala/collection/parallel/ThreadPoolTasks$TaskImpl$class of class scala/collection/parallel/ThreadPoolTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.ThreadPoolTasks extends scala.collection.parallel.Tasks,scala.ScalaObject{
+public interface scala.collection.parallel.ThreadPoolTasks extends scala.collection.parallel.Tasks{
 public abstract scala.collection.parallel.ThreadPoolTasks$TaskImpl newTaskImpl(scala.collection.parallel.Tasks$Task);
   Signature: (Lscala/collection/parallel/Tasks$Task;)Lscala/collection/parallel/ThreadPoolTasks$TaskImpl;
 
diff --git c/scala/collection/parallel/immutable/HashMapCombiner$CreateGroupedTrie.class w/scala/collection/parallel/immutable/HashMapCombiner$CreateGroupedTrie.class
index 3ac51eb995..778f888054 100644
--- c/scala/collection/parallel/immutable/HashMapCombiner$CreateGroupedTrie.class
+++ w/scala/collection/parallel/immutable/HashMapCombiner$CreateGroupedTrie.class
@@ -8,7 +8,7 @@ public #= # of #; //HashMapCollision=class scala/collection/immutable/HashMap$Ha
 public #= # of #; //CreateGroupedTrie=class scala/collection/parallel/immutable/HashMapCombiner$CreateGroupedTrie of class scala/collection/parallel/immutable/HashMapCombiner
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.immutable.HashMapCombiner$CreateGroupedTrie extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.immutable.HashMapCombiner$CreateGroupedTrie extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 
 private final scala.collection.mutable.UnrolledBuffer$Unrolled[] bucks;
   Signature: [Lscala/collection/mutable/UnrolledBuffer$Unrolled;
diff --git c/scala/collection/parallel/immutable/HashMapCombiner$CreateTrie.class w/scala/collection/parallel/immutable/HashMapCombiner$CreateTrie.class
index 7a59542f77..7cc48d5ff7 100644
--- c/scala/collection/parallel/immutable/HashMapCombiner$CreateTrie.class
+++ w/scala/collection/parallel/immutable/HashMapCombiner$CreateTrie.class
@@ -5,7 +5,7 @@ public #= # of #; //Unrolled=class scala/collection/mutable/UnrolledBuffer$Unrol
 public #= # of #; //CreateTrie=class scala/collection/parallel/immutable/HashMapCombiner$CreateTrie of class scala/collection/parallel/immutable/HashMapCombiner
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.immutable.HashMapCombiner$CreateTrie extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.immutable.HashMapCombiner$CreateTrie extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final scala.collection.mutable.UnrolledBuffer$Unrolled[] bucks;
   Signature: [Lscala/collection/mutable/UnrolledBuffer$Unrolled;
 
diff --git c/scala/collection/parallel/immutable/HashSetCombiner$CreateTrie.class w/scala/collection/parallel/immutable/HashSetCombiner$CreateTrie.class
index 0697137f93..6fe446cbd8 100644
--- c/scala/collection/parallel/immutable/HashSetCombiner$CreateTrie.class
+++ w/scala/collection/parallel/immutable/HashSetCombiner$CreateTrie.class
@@ -5,7 +5,7 @@ public #= # of #; //Unrolled=class scala/collection/mutable/UnrolledBuffer$Unrol
 public #= # of #; //CreateTrie=class scala/collection/parallel/immutable/HashSetCombiner$CreateTrie of class scala/collection/parallel/immutable/HashSetCombiner
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.immutable.HashSetCombiner$CreateTrie extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.immutable.HashSetCombiner$CreateTrie extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final scala.collection.mutable.UnrolledBuffer$Unrolled[] bucks;
   Signature: [Lscala/collection/mutable/UnrolledBuffer$Unrolled;
 
